id: wordpress-woocommerce-paypal-payments

info:
  name: WooCommerce PayPal Payments Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/woocommerce-paypal-payments/
  metadata:
    plugin_namespace: woocommerce-paypal-payments
    wpscan: https://wpscan.com/plugin/woocommerce-paypal-payments
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/woocommerce-paypal-payments/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/woocommerce-paypal-payments.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100df3e9f0d607cb5a90248019d50718477f23e452e15771a3f9d55ceb12f8921da022100b5e7e4fb1cc7754f2608d6465dfe144d0d0e92d19d68202b9c7ec1db7c92dd82:922c64590222798bb761d5b6d8e72950